*---------------------------------------------------------------------------------------*
*  MINIGUI - Harbour Win32 GUI library 
*  Copyright 2002-07 Roberto Lopez <roblez@ciudad.com.ar>
*  http://www.geocities.com/harbour_minigui/
*  Developed under Harbour Compiler and 
*  MINIGUI - Harbour Win32 GUI library (HMG). 
*  Thanks to "El Rey" Roberto Lopez.
*  Edit_TxT_PdF  Cronstruido por : KhGhalmi & Mustafa Lpez  mustalopez@gmail.com
*  Edit_TxT_PdF  Corregido por   : Juan Antonio ,Bruno Luciani, CarozoDeQuilmes, Esgici 
*  Edit_TxT_PdF  Finalizado      : 21-05-2009
*---------------------------------------------------------------------------------------*

#include <minigui.ch>

FUNCTION MAIN()

SET PROCEDURE TO GenPDF2
SET PROCEDURE TO TPRINTO
SET PROCEDURE TO TprintPDF

SET TOOLTIPSTYLE BALLOON
SET TOOLTIPBACKCOLOR  {255,255,184 }          
SET TOOLTIPFORECOLOR  {0,0,0 }      

Public cContenido,cFileD, cFile, cFilex, cFileF, cFileFx ,filax, fix, count, newtxt,;
       cPrgFolder := GetCurrentFolder() 

      DEFINE WINDOW Frm_1 ;
         AT 0,0 WIDTH 800 HEIGHT 600 ;
                TITLE 'Edit_TxT_PdF';
                 MAIN ;
                 ICON 'libro.Ico'
         
                 ON KEY ESCAPE ACTION Frm_1.Release                                       
 
                  IF .NOT. FILE ("memuar.mem")
                       SAVE TO memuar ALL LIKE SPACE(1)                 
                  ENDIF 

                  RESTORE FROM MEMUAR ADDITIVE           

                  @ 82,446 LABEL Label_3 VALUE RIGHT(cFileD,16)                                          

          
          DEFINE FRAME Frame_01
                        ROW    04
                        COL    12
                        WIDTH  998
                        HEIGHT 693
                        CAPTION ""
                        OPAQUE .F.
          END FRAME  

          DEFINE FRAME Frame_02                  
                        ROW    69          
                        COL    350         
                        WIDTH  214         
                        HEIGHT 35          
                        CAPTION "ltimo Fichero:"
                        OPAQUE .F.
          END FRAME  

          DEFINE FRAME Frame_03
                        ROW    111
                        COL    146      
                        WIDTH  614
                        HEIGHT 570
                        CAPTION "Editor-Lector"
                        OPAQUE .F.
          END FRAME  

          DEFINE FRAME Frame_04
                        ROW    115        
                        COL    790        
                        WIDTH  195        
                        HEIGHT 95     
                        CAPTION "Crear Nombre Fichero"
                        OPAQUE .F.
          END FRAME  

         DEFINE FRAME Frame_05
                        ROW    226        
                        COL    790        
                        WIDTH  195        
                        HEIGHT 288      
                        CAPTION "Acciones"
                        OPAQUE .F.
          END FRAME  


                   @ 25,350 LABEL Label_1 VALUE "Edit_TxT_PdF" TRANSPARENT FONT "GEORGIA" SIZE 26 ;  
                    FONTCOLOR BLACK BACKCOLOR YELLOW AUTOSIZE
                   @ 26,352 LABEL Label_2 VALUE "Edit_TxT_PdF" TRANSPARENT FONT "GEORGIA" SIZE 26 ;
                     FONTCOLOR GREEN BACKCOLOR YELLOW AUTOSIZE
                

         

                  @ 140,852 TEXTBOX Tex_1 ;       // aqui entro el nombre del nuevo fichero.TxT    
                      VALUE "" ;
                      BACKCOLOR {183,214,255} ;
                      WIDTH 70 HEIGHT 18;
                      MAXLENGTH 8 ;
                      TOOLTIP 'Fichero a Crear sin extensin'

                  @ 170,840 BUTTON Buscar1;     // aqui grabo el fichero  vacio creado por el TEXTBOX 
                      CAPTION 'Graba Nombre';
                      TOOLTIP 'Graba Nombre Fichero TxT';
                      ACTION SalvaFichero()           

                   
                  @ 270,840 BUTTON Buscar2;   // aqui grabo lo que he escrito como Texto
                     CAPTION 'Grabar TxT ';
                     TOOLTIP 'Graba  Texto';
                     ACTION TextoGraba()

                  @ 310,840 BUTTON Buscar3;    // aqui busco el fichero para  que suba al EDITBOX
                      CAPTION 'Buscar TxT';
                      TOOLTIP 'Busca Fichero TxT' ;
                      ACTION BuscaFichero()     
              
                   @ 350,840 BUTTON Buscar4;    // aqui busco el fichero PdF
                      CAPTION 'Buscar PdF';
                      TOOLTIP 'Busca Fichero PdF' ;
                      ACTION BuscaFicheroF()     
                  
                   @ 390,840 BUTTON Buscar5;  // aqui genero el ltimo TxT a PdF  
                     CAPTION 'Generar PdF';
                     TOOLTIP 'Generar PdF' ;       
                     ACTION (Limpia(), GenPDF2())             
                             
                   @ 430,840 BUTTON Buscar6;  // aqui Borro TxT
                     CAPTION 'Borrar TxT';
                     TOOLTIP 'Borrar Fichero TxT' ;       
                     ACTION Borrax()

                  @ 470,840 BUTTON Salir;
                     CAPTION 'Salir';
                     TOOLTIP 'Salir del Editor' ;
                     ACTION Frm_1.RELEASE

                    DEFINE EDITBOX Edit_1
                          ROW 135                          
                          COL 160                    
                          WIDTH 586                  
                          HEIGHT 530  
                          BACKCOLOR {183,214,255}              
                          VALUE cContenido
                          FONTNAME 'Courier New'
                          FONTSIZE 9
                          TOOLTIP 'Escriba Texto y grabelo'               
                    END EDITBOX

               
     END WINDOW
     Frm_1.center
     MAXIMIZE WINDOW Frm_1
     ACTIVATE WINDOW Frm_1
  RETURN
*-------------------------------------------*
Procedure Limpia

Frm_1.Edit_1.value:=" "

RETURN
*-------------------------------------------*
Procedure SalvaFichero                     

 fix = Frm_1.Tex_1.value
 filax = ALLTRIM(fix) + ".txt"
 MEMOWRIT(filax,MEMOREAD(filax),.T.)

 RETURN

*-------------------------------------------*
Procedure BuscaFicheroF

 Public cFileF := GetFile({{'pdf','*.pdf'},;
 {'All files','*.*'}})
 
 SetCurrentFolder( cPrgFolder )
 
 IF .NOT. FILE (cFileF)
      msginfo("No se ha elejido archivo "," ATENCION !!!")
     RETURN
 ENDIF 
  
 EXECUTE FILE cFileF  MAXIMIZE

   
 RETURN 


*-------------------------------------------*
Procedure BuscaFichero

 Public cFileD := GetFile({{'txt','*.txt'},;
 {'All files','*.*'}})
 
 SetCurrentFolder( cPrgFolder )
 
 IF .NOT. FILE (cFileD)
      msginfo("No se ha elejido archivo "," ATENCION !!!")
     RETURN
 ENDIF
  
 cContenido := MEMOREAD( cFileD )


 Frm_1.Edit_1.value:=cContenido
  
 SAVE TO memuar ALL LIKE cFileD*

 convierte()

 RETURN 

*------------------------------------------*

  Procedure TextoGraba

  Cfile:=putfile({{'txt','*.txt'},{'Configuracion','*.ini'}},"Grab\arArchivo")
  cContenido := Frm_1.Edit_1.value
  CfileD := Cfile+".txt"
 SetCurrentFolder( cPrgFolder )
  
  IF MEMOWRIT(CFileD,cContenido,.T.)
    ELSE
     msginfo("No se pudo grabar el archivo ","ATENCION !!!")
    RETURN
  ENDIF
  
  Frm_1.Edit_1.value:="  "
 
  SAVE TO memuar ALL LIKE cFileD*          

  Convierte()
 
  RETURN   
*------------------------------------------*
  Procedure Convierte
  
   ERASE CREA_PDF.DBF                  
   CLOSE DATABASES                    
  IF FILE ("MASTER.DBF")
     USE MASTER
     COPY TO ("CREA_PDF.DBF")  
  ENDIF
    CLOSE DATABASES
    USE CREA_PDF
    DELETE FOR NOMBRE = " "
    PACK
    RESTORE FROM MEMUAR ADDITIVE    
    APPEND FROM &cFileD SDF
    CLOSE DATABASES

RETURN
*-----------------------------------------*
Procedure Borrax

 Public cFileFx := GetFile({{'txt','*.txt'},;
 {'All files','*.*'}})
 
 SetCurrentFolder( cPrgFolder )
   
 IF .NOT. FILE (cFileFx)
      msginfo("No se ha elejido archivo "," ATENCION !!!")
     RETURN
 ENDIF 
 
 cContenido := MEMOREAD( cFileFx )       

 Frm_1.Edit_1.value:=cContenido  
 
  IF MsgYesNo("Desea Borrar Fichero ?","ATENCION !!!") = .T.

	   ERASE (cFileFx)
                   Frm_1.Edit_1.value:="  "    
		Return .T.
  EndIf
    Frm_1.Edit_1.value:="  "    
 RETURN .F. 

